using WF_WebAdmin.Model;

namespace WF_WebAdmin.Service
{
    public interface IUserService
    {
        public void removeUser(User user);

        public void updateRole(User user);

        public void downgradeRole(User user);

        public List<User> getAllUser();

        public List<User> getSomeUser(int nb, int page);

        public User getOneUser(int id);

        public List<User> reserchUsers(string reserch, List<string> args);
    }
}
